## org.apache.batik.svggen
Class SVGFilterDescriptor

    java.lang.Object
      org.apache.batik.svggen.SVGFilterDescriptor

public class SVGFilterDescriptor
extends java.lang.Object

Used to represent an SVG Composite. This can be achieved with to values: an SVG opacity and a filter

Constructor Summary
`SVGFilterDescriptor(java.lang.String filterValue)`
`SVGFilterDescriptor(java.lang.String filterValue, org.w3c.dom.Element def)`

Method Summary
`org.w3c.dom.Element` `getDef()`
`java.lang.String` `getFilterValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGFilterDescriptor

    public SVGFilterDescriptor(java.lang.String filterValue)

### SVGFilterDescriptor

    public SVGFilterDescriptor(java.lang.String filterValue,
                               org.w3c.dom.Element def)

Method Detail

### getFilterValue

    public java.lang.String getFilterValue()

### getDef

    public org.w3c.dom.Element getDef()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.